Subject: RE: [ANNOUNCE] Git v2.48.1 and friends

From: <[email-masked]>
Date: Tue, 14 Jan 2025 18:15:28 -0500

On January 14, 2025 4:05 PM, Johannes Schindelin wrote:
>On Tue, 14 Jan 2025, [email-masked] wrote:
>
>> On January 14, 2025 1:44 PM, Johannes Schindelin wrote:
>>
>> > my apologies, I only realized _now_ that I had forgotten to update
>> > `GIT-VERSION-GEN` in v2.47.2, it still has `DEF_VER=v2.47.1` (but
>> > all other mentioned tagged versions have a correct
>> > `GIT-VERSION-GEN`). I am very sorry about that.
>
>[I fixed the formatting, not sure how it got screwed up, it had verbatim
mbox
>headers and inconsistent `>` prefixes in the quoted lines.]
>
>> Oh gosh. Glad I did not hit the "build" button.
>
>Well, depending what that "build" button does when you hit it, it might not
even
>affect you, have you tried it or at least looked at what `GIT-VERSION-GEN`
does?
>`DEF_VER` only sets the default version when building e.g. from a tarball.
>
>When building from a Git checkout, though, it uses the tag and everything
is fine,
>the output of `git version` will say that this is 2.47.2:
>https://github.com/git/git/blob/v2.47.2/GIT-VERSION-GEN#L15
>
>Also, you can always hard-code the version by writing it to a file
called... wait for it...
>`version`, before calling `make`.
>
>> I will hold off packaging that version until this is resolved. It is
>> definitely needed by the NonStop community.
>
>I'm not sure what you're implying by "until this is resolved". I hope that
you don't
>intend to suggest to re-tag and force-push v2.47.2 because that's kind of a
serious
>no-go, those tags have been relayed to quite a few people well in advance
of today
>during the carefully-orchestrated coordination of the embargoed release
process.
>You cannot pull that
>v2.47.2 tag.
>
>In any case, if you don't want to build v2.48.1 instead, and if you cannot
build
>v2.47.2 from a Git checkout, at least that `version` file method should
work for you
>and you don't need to put pressure on anybody else to get the version that
is so
>definitely needed out to the NonStop community.

I will not be able to package this. The reason is that only official commits
are
permitted in the highly regulated customer base that I have to support. If I
modify any file in the git build to "get it out the door", my community will
not install the package, even if I make a fork of git and do it there. My
personal commit is not considered "sanctioned", so the package will be
ignored.

If 2.47.2 has a mistake, I will simply skip the release, and tell people to
move
to 2.48.1 to get the security fix instead of 2.47.2, which is not going to
make
them particularly happy. Sadly, this is my reality.

--Randall